Recent

Author Topic: Basic install problems  (Read 21543 times)

Phil Hess

  • Guest
Basic install problems
« on: July 13, 2005, 06:16:39 pm »
I successfully installed the Developer Tools from my OS X 10.3 XCode CD (DeveloperTool.pkg). I also have X installed. I also successfully installed the 20050706 .dmg snapshot files for FPC, FPC source, and Lazarus. However, when I try to run Lazarus, I get this error message:

"Can't open library: /sw/lib/libglib-1.2.0.dylib

I assume this is because I don't have GTK installed. The instructions for installing this suggest downloading and installing Fink and then using it to install GTK. However, it appears as though Fink also downloads what it needs. My Mac has only a phone modem connection so I don't know if this is feasible. Isn't there some other (easier) way of getting GTK installed?

I assume that when deploying Lazarus apps to users that we'll have to go through the same routine of making sure GTK is installed, correct? Offhand this sounds like a showstopper.

Thanks.

-Phil

Phil H.

  • Guest
Re: Basic install problems
« Reply #1 on: July 15, 2005, 04:58:40 am »
I managed to get Fink and the 36 packages required for GTK downloaded over a modem (90 minutes) and installed - this added 250 MB of files to my system.

A typo in the Fink Install command could really hold up someone who was trying to do this by rote.

After setting the path to FPC (again, this needs to be clearer), I was actually able to get Lazarus to compile, but only by using the command "sudo make". Apparently the snapshot .dmg's installed all the files with the "system" as the owner and me (the admin) with only read-only privileges.

This also appears to be interfering with my attempts to compile anything with Lazarus: Unable to create assembly file errors as soon as it hits FPCAdds.pas.

What's going on here? Does anyone actually use this thing?

Also, these errors when running Lazarus:

Splash screen / About box: "Error reading Button1.Glyph.Data: Wrong image format."

And loading my project's About box: "Error reading form. Error reading ProgramIcon.Picture.Data: Range Error." This project loads and compiles perfectly with Win32 Lazarus.

Thanks.

-Phil

KIA

  • New Member
  • *
  • Posts: 10
RE: Re: Basic install problems
« Reply #2 on: April 05, 2006, 10:56:38 pm »
Lazarus    
        


Скачал (39Мб) Лазарус (Это "Дельфи" для ОСИкс, грубо говоря). Поставил, но что-то не пускается, вот что пишет из терминала от X11:
MacOSXComputer:/ kia$ cd usr
MacOSXComputer:/usr kia$ cd local
MacOSXComputer:/usr/local kia$ cd share
MacOSXComputer:/usr/local/share kia$ cd lazarus
MacOSXComputer:/usr/local/share/lazarus kia$ ./lazarus
dyld: ./lazarus can't open library: /sw/lib/libglib-1.2.0.dylib (No such file or directory, errno = 2)
Trace/BPT trap
MacOSXComputer:/usr/local/share/lazarus kia$
Что это за папка SW за такая?

КИА

         
XAK

01.04 09:04
    
 Re: Lazarus [re: Ivan Kuvshinov]   
    


а glib стоит?

         
Hayate

01.04 11:10
   
 Re: Lazarus [re: Ivan Kuvshinov]   
    


Fink, IMHO
в папку "sw" ставит всякий софт Fink

--------
"The best icons are more like traffic signs than graphic illustrations."

         
Ivan Kuvshinov

01.04 11:46
   
 Re: Lazarus [re: XAK]   
        


Я так думал, что - стоит, ведь установлен MidtNigthtCommander, а он вроде такую фишку требовал.

КИА

         
Ivan Kuvshinov

01.04 12:35
   
 Re: Lazarus [re: Hayate]   
        


Да, вот эта штука (для 10.3 http://mesh.dl.sourceforge.net/sourceforge/fink/Fink-0.7.2-Installer.dmg)
Вроде бы даже поставился сам на автомате и ничего не пришлось компилировать. Только вот ругнулся в конце при запуске скрипта, что что-то он там не спог записать в окружении и надо это сделать самомоу в .Profile (Не успел прочитать - окошко исчезло)
Да, действительно появилась папочка sw, но glib этой по указанному адресу - нету.
Нашёл в доках к Лазарусу такую сточку, запускаю:
MacOSXComputer:~ kia$ sudo fink install gdk-pixbuf gtk+ gtk+-data \gtk+-shlibs gtk-doc 1.2-13 gtkglarea gtk-engines
Password:
Information about 2139 packages read in 8 seconds.
Failed: no package found for specification '1.2-13'!
MacOSXComputer:~ kia$
Только я не понял - мне ещё gdk-pixbuf нужен или что?

КИА

         
Ivan Kuvshinov

06.04 00:06
   
 Re: Lazarus [re: Ivan Kuvshinov]   
        


Люди, процесс познания душится на корню! :(

КИА

MacOSXComputer:/sw/lib kia$ ls -p
apt/                            libintl.1.dylib
dpkg/                           libintl.a
fink/                           libintl.dylib
libapt-inst.1.0.0.dylib         libintl.la
libapt-inst.1.0.dylib           libmenu.5.dylib
libapt-pkg.3.2.0.dylib          libmenu.a
libapt-pkg.3.2.dylib            libmenu.dylib
libbz2.1.0.2.dylib              libmenu.dylib.5
libbz2.1.dylib                  libmenu_g.a
libbz2.dylib                    libncurses++.a
libcharset.1.0.0.dylib          libncurses.5.dylib
libcharset.1.dylib              libncurses.a
libcharset.a                    libncurses.dylib
libcharset.dylib                libncurses.dylib.5
libcharset.la                   libncurses_g.a
libform.5.dylib                 libpanel.5.dylib
libform.a                       libpanel.a
libform.dylib                   libpanel.dylib
libform.dylib.5                 libpanel.dylib.5
libform_g.a                     libpanel_g.a
libiconv.2.2.0.dylib            ncurses/
libiconv.2.dylib                perl5/
libiconv.dylib                  rmt
libiconv.la                     terminfo
libintl.1.0.1.dylib



Help me! Need libglib. Compiling gtk failed>
tp://ftp.gtk.org/pub/gtk/v2.8/gtk+-2.8.14.tar.gz
gtk+-2.8.14.tar.gz GZ 17,438 KB 2006.03.10 18:10:00

I impossible compile gtk :(

Vincent Snijders

  • Administrator
  • Hero Member
  • *
  • Posts: 2661
    • My Lazarus wiki user page
RE: Re: Basic install problems
« Reply #3 on: April 06, 2006, 08:39:26 am »
Due to the Russian characters I didn't understand everythink.

Did you use fink to install gtk and its dependencies?

Please take a close look again at the fink command line, it seems to contain strange characters. From http://wiki.lazarus.freepascal.org/index.php/Installing_Lazarus, the recommended command line is:
Code: [Select]
sudo /sw/bin/apt-get install gdk-pixbuf gtk+ gtk+-data gtk+-shlibs gtk-doc gtk-engines

KIA

  • New Member
  • *
  • Posts: 10
RE: Re: Basic install problems
« Reply #4 on: April 06, 2006, 10:55:45 pm »
Sorry of Big Text


Last login: Fri Apr  7 00:24:00 on ttyp1
Welcome to Darwin!
MacOSXComputer:~ kia$ sudo /sw/bin/apt-get install gdk-pixbuf gtk+ gtk+-data gtk+-shlibs gtk-doc gtk-engines
Password:
Reading Package Lists... Done
Building Dependency Tree... Done
The following extra packages will be installed:
  audiofile-shlibs docbook-dsssl-nwalsh docbook-dtd docbook-xsl esound-bin
  esound-common esound-shlibs gdk-pixbuf-shlibs giflib-bin giflib-shlibs
  glib-shlibs gnome-libs-shlibs imlib-shlibs libjpeg-bin libjpeg-shlibs
  libpng3-shlibs libtiff-bin libtiff-shlibs libxml2-bin libxml2-shlibs
  libxslt-shlibs netpbm-bin netpbm10-shlibs openjade opensp4-shlibs orbit
  orbit-shlibs passwd sgml-entities-iso8879
The following NEW packages will be installed:
  audiofile-shlibs docbook-dsssl-nwalsh docbook-dtd docbook-xsl esound-bin
  esound-common esound-shlibs gdk-pixbuf gdk-pixbuf-shlibs giflib-bin
  giflib-shlibs glib-shlibs gnome-libs-shlibs gtk+ gtk+-data gtk+-shlibs
  gtk-doc gtk-engines imlib-shlibs libjpeg-bin libjpeg-shlibs libpng3-shlibs
  libtiff-bin libtiff-shlibs libxml2-bin libxml2-shlibs libxslt-shlibs
  netpbm-bin netpbm10-shlibs openjade opensp4-shlibs orbit orbit-shlibs passwd
  sgml-entities-iso8879
0 packages upgraded, 35 newly installed, 0 to remove and 7  not upgraded.
Need to get 22.5MB of archives. After unpacking 102MB will be used.
Do you want to continue? [Y/n] y
Get:1 http://bindist.finkmirrors.net 10.3/release/main audiofile-shlibs 0.2.6-10 [221kB]
Get:2 http://bindist.finkmirrors.net 10.3/release/main esound-common 0.2.35-8 [40.2kB]
Get:3 http://bindist.finkmirrors.net 10.3/release/main esound-shlibs 0.2.35-8 [67.9kB]
Get:4 http://bindist.finkmirrors.net 10.3/release/main esound-bin 0.2.35-8 [126kB]
Get:5 http://bindist.finkmirrors.net 10.3/release/main libpng3-shlibs 1:1.2.8-1 [202kB]
Get:6 http://bindist.finkmirrors.net 10.3/release/main glib-shlibs 1.2.10-18 [164kB]
Get:7 http://bindist.finkmirrors.net 10.3/release/main gtk+-data 1.2.10-27 [68.5kB]
Get:8 http://bindist.finkmirrors.net 10.3/release/main gtk+-shlibs 1.2.10-27 [1577kB]
Get:9 http://bindist.finkmirrors.net 10.3/release/main libjpeg-shlibs 6b-16 [70.7kB]
Get:10 http://bindist.finkmirrors.net 10.3/release/main libjpeg-bin 6b-16 [138kB]
Get:11 http://bindist.finkmirrors.net 10.3/release/main libtiff-shlibs 3.6.1-4 [260kB]
Get:12 http://bindist.finkmirrors.net 10.3/release/main libtiff-bin 3.6.1-4 [166kB]
Get:13 http://bindist.finkmirrors.net 10.3/release/main giflib-shlibs 4.1.0-8 [35.8kB]
Get:14 http://bindist.finkmirrors.net 10.3/release/main giflib-bin 4.1.0-8 [399kB]
Get:15 http://bindist.finkmirrors.net 10.3/release/main netpbm10-shlibs 10.24-2 [146kB]
Get:16 http://bindist.finkmirrors.net 10.3/release/main netpbm-bin 10.24-2 [1657kB]
Get:17 http://bindist.finkmirrors.net 10.3/release/main imlib-shlibs 1.9.14-14 [312kB]
Get:18 http://bindist.finkmirrors.net 10.3/release/main orbit-shlibs 0.5.17-16 [211kB]
Get:19 http://bindist.finkmirrors.net 10.3/release/main orbit 0.5.17-16 [200kB]
Get:20 http://bindist.finkmirrors.net 10.3/release/main passwd 20040809-1 [2224B]
Get:21 http://bindist.finkmirrors.net 10.3/release/main gnome-libs-shlibs 1.4.2-19 [879kB]
Get:22 http://bindist.finkmirrors.net 10.3/release/main gdk-pixbuf-shlibs 0.18.0-12 [332kB]
Get:23 http://bindist.finkmirrors.net 10.3/release/main gdk-pixbuf 0.18.0-12 [372kB]
Get:24 http://bindist.finkmirrors.net 10.3/release/main gtk+ 1.2.10-27 [2552kB]
Get:25 http://bindist.finkmirrors.net 10.3/release/main libxml2-shlibs 2.6.17-1 [1030kB]
Get:26 http://bindist.finkmirrors.net 10.3/release/main libxml2-bin 2.6.17-1 [52.2kB]
Get:27 http://bindist.finkmirrors.net 10.3/release/main libxslt-shlibs 1.1.11-10 [284kB]
Get:28 http://bindist.finkmirrors.net 10.3/release/main opensp4-shlibs 1.5.1-2 [4572kB]
Get:29 http://bindist.finkmirrors.net 10.3/release/main openjade 1.3.2-28 [2429kB]
Get:30 http://bindist.finkmirrors.net 10.3/release/main sgml-entities-iso8879 1986-3 [17.6kB]
Get:31 http://bindist.finkmirrors.net 10.3/release/main docbook-dtd 4.4.0-2 [1076kB]
Get:32 http://bindist.finkmirrors.net 10.3/release/main docbook-xsl 1.68.1-1 [1580kB]
Get:33 http://bindist.finkmirrors.net 10.3/release/main docbook-dsssl-nwalsh 1.79-3 [592kB]
Get:34 http://bindist.finkmirrors.net 10.3/release/main gtk-doc 1.2-13 [97.4kB]
Get:35 http://bindist.finkmirrors.net 10.3/release/main gtk-engines 0.12-3 [600kB]
Fetched 22.5MB in 8m19s (45.1kB/s)                                            
Selecting previously deselected package audiofile-shlibs.
(Reading database ... 4131 files and directories currently installed.)
Unpacking audiofile-shlibs (from .../audiofile-shlibs_0.2.6-10_darwin-powerpc.deb) ...
Selecting previously deselected package esound-common.
Unpacking esound-common (from .../esound-common_0.2.35-8_darwin-powerpc.deb) ...
Selecting previously deselected package esound-shlibs.
Unpacking esound-shlibs (from .../esound-shlibs_0.2.35-8_darwin-powerpc.deb) ...
Selecting previously deselected package esound-bin.
Unpacking esound-bin (from .../esound-bin_0.2.35-8_darwin-powerpc.deb) ...
Selecting previously deselected package libpng3-shlibs.
Unpacking libpng3-shlibs (from .../libpng3-shlibs_1%3a1.2.8-1_darwin-powerpc.deb) ...
Selecting previously deselected package glib-shlibs.
Unpacking glib-shlibs (from .../glib-shlibs_1.2.10-18_darwin-powerpc.deb) ...
Selecting previously deselected package gtk+-data.
Unpacking gtk+-data (from .../gtk+-data_1.2.10-27_darwin-powerpc.deb) ...
Selecting previously deselected package gtk+-shlibs.
Unpacking gtk+-shlibs (from .../gtk+-shlibs_1.2.10-27_darwin-powerpc.deb) ...
Selecting previously deselected package libjpeg-shlibs.
Unpacking libjpeg-shlibs (from .../libjpeg-shlibs_6b-16_darwin-powerpc.deb) ...
Selecting previously deselected package libjpeg-bin.
Unpacking libjpeg-bin (from .../libjpeg-bin_6b-16_darwin-powerpc.deb) ...
Selecting previously deselected package libtiff-shlibs.
Unpacking libtiff-shlibs (from .../libtiff-shlibs_3.6.1-4_darwin-powerpc.deb) ...
Selecting previously deselected package libtiff-bin.
Unpacking libtiff-bin (from .../libtiff-bin_3.6.1-4_darwin-powerpc.deb) ...
Selecting previously deselected package giflib-shlibs.
Unpacking giflib-shlibs (from .../giflib-shlibs_4.1.0-8_darwin-powerpc.deb) ...
Selecting previously deselected package giflib-bin.
Unpacking giflib-bin (from .../giflib-bin_4.1.0-8_darwin-powerpc.deb) ...
Selecting previously deselected package netpbm10-shlibs.
Unpacking netpbm10-shlibs (from .../netpbm10-shlibs_10.24-2_darwin-powerpc.deb) ...
Selecting previously deselected package netpbm-bin.
(Reading database ... 4494 files and directories currently installed.)
Unpacking netpbm-bin (from .../netpbm-bin_10.24-2_darwin-powerpc.deb) ...
Selecting previously deselected package imlib-shlibs.
Unpacking imlib-shlibs (from .../imlib-shlibs_1.9.14-14_darwin-powerpc.deb) ...
Selecting previously deselected package orbit-shlibs.
Unpacking orbit-shlibs (from .../orbit-shlibs_0.5.17-16_darwin-powerpc.deb) ...
Selecting previously deselected package orbit.
Unpacking orbit (from .../orbit_0.5.17-16_darwin-powerpc.deb) ...
Selecting previously deselected package passwd.
Unpacking passwd (from .../passwd_20040809-1_darwin-powerpc.deb) ...
Selecting previously deselected package gnome-libs-shlibs.
Unpacking gnome-libs-shlibs (from .../gnome-libs-shlibs_1.4.2-19_darwin-powerpc.deb) ...
Selecting previously deselected package gdk-pixbuf-shlibs.
Unpacking gdk-pixbuf-shlibs (from .../gdk-pixbuf-shlibs_0.18.0-12_darwin-powerpc.deb) ...
Selecting previously deselected package gdk-pixbuf.
Unpacking gdk-pixbuf (from .../gdk-pixbuf_0.18.0-12_darwin-powerpc.deb) ...
Selecting previously deselected package gtk+.
Unpacking gtk+ (from .../gtk+_1.2.10-27_darwin-powerpc.deb) ...
Selecting previously deselected package libxml2-shlibs.
Unpacking libxml2-shlibs (from .../libxml2-shlibs_2.6.17-1_darwin-powerpc.deb) ...
Selecting previously deselected package libxml2-bin.
Unpacking libxml2-bin (from .../libxml2-bin_2.6.17-1_darwin-powerpc.deb) ...
Selecting previously deselected package libxslt-shlibs.
Unpacking libxslt-shlibs (from .../libxslt-shlibs_1.1.11-10_darwin-powerpc.deb) ...
Selecting previously deselected package opensp4-shlibs.
Unpacking opensp4-shlibs (from .../opensp4-shlibs_1.5.1-2_darwin-powerpc.deb) ...
Selecting previously deselected package openjade.
Unpacking openjade (from .../openjade_1.3.2-28_darwin-powerpc.deb) ...
Selecting previously deselected package sgml-entities-iso8879.
Unpacking sgml-entities-iso8879 (from .../sgml-entities-iso8879_1986-3_darwin-powerpc.deb) ...
Selecting previously deselected package docbook-dtd.
(Reading database ... 5689 files and directories currently installed.)
Unpacking docbook-dtd (from .../docbook-dtd_4.4.0-2_darwin-powerpc.deb) ...
Selecting previously deselected package docbook-xsl.
Unpacking docbook-xsl (from .../docbook-xsl_1.68.1-1_darwin-powerpc.deb) ...
Selecting previously deselected package docbook-dsssl-nwalsh.
Unpacking docbook-dsssl-nwalsh (from .../docbook-dsssl-nwalsh_1.79-3_darwin-powerpc.deb) ...
Selecting previously deselected package gtk-doc.
Unpacking gtk-doc (from .../gtk-doc_1.2-13_darwin-powerpc.deb) ...
Selecting previously deselected package gtk-engines.
Unpacking gtk-engines (from .../gtk-engines_0.12-3_darwin-powerpc.deb) ...
Setting up audiofile-shlibs (0.2.6-10) ...

Setting up esound-common (0.2.35-8) ...
Setting up esound-shlibs (0.2.35-8) ...

Setting up esound-bin (0.2.35-8) ...

Setting up libpng3-shlibs (1.2.8-1) ...

Setting up glib-shlibs (1.2.10-18) ...

Setting up gtk+-data (1.2.10-27) ...
Setting up gtk+-shlibs (1.2.10-27) ...
Setting up libjpeg-shlibs (6b-16) ...

Setting up libjpeg-bin (6b-16) ...

Setting up libtiff-shlibs (3.6.1-4) ...

Setting up libtiff-bin (3.6.1-4) ...

Setting up giflib-shlibs (4.1.0-8) ...

Setting up giflib-bin (4.1.0-8) ...

Setting up netpbm10-shlibs (10.24-2) ...

Setting up netpbm-bin (10.24-2) ...

Setting up imlib-shlibs (1.9.14-14) ...
Setting up orbit-shlibs (0.5.17-16) ...
Setting up orbit (0.5.17-16) ...

Setting up passwd (20040809-1) ...

The following user entries will be added to your NetInfo database:
lp:*:26:26::0:0:Printing Services:/var/spool/cups:/dev/null
postfix:*:27:27::0:0:postfix:/var/spool/postfix:/usr/bin/false
eppc:*:71:71::0:0:Apple Events User:/var/empty:/usr/bin/false
qtss:*:76:76::0:0:QuickTime Streaming Server:/var/empty:/usr/bin/false
cyrus:*:77:6::0:0:Cyrus User:/var/imap:/usr/bin/false
mailman:*:78:78::0:0:Mailman user:/var/empty:/usr/bin/false
appserver:*:79:79::0:0:Application Server:/var/empty:/usr/bin/false
news:*:250:250::0:0:News Server:/dev/null:/dev/null
postgres:*:252:252::0:0:PostgreSQL Database Server:/dev/null:/dev/null
games:*:253:253::0:0:Game Files Owner:/dev/null:/dev/null
canna:*:254:254::0:0:Canna Japanese Input Server:/dev/null:/dev/null
tomcat:*:257:257::0:0:Tomcat Servlet Engine:/sw/var/tomcat4:/dev/null
jabber:*:258:258::0:0:Jabber Messaging Server:/dev/null:/dev/null
opennms:*:259:259::0:0:OpenNMS Network Management:/sw/var/opennms:/dev/null
clamav:*:260:260::0:0: Clam AntiVirus:/dev/null:/dev/null
distcc:*:262:262::0:0:distcc daemon,,,:/sw/var/spool/distcc:/dev/null

The following group entries will be added to your NetInfo database:
lp:*:26:
postfix:*:27:
postdrop:*:28:
qtss:*:76:
mailman:*:78:
news:*:250:
postgres:*:252:postgres
games:*:253:
canna:*:254:
maildrop:*:256:
tomcat:*:257:
jabber:*:258:
opennms:*:259:
clamav:*:260:
distcc:*:262:distcc,root

Existing entries with these names or numbers will be overwritten or
otherwise affected by this. On the other hand, some Fink packages will
not work unless these entries are in the NetInfo database. You can make
adjustments to the files /sw/etc/passwd-fink and
/sw/etc/group-fink now (from another window), then say yes here. Or
you can say no here and add the users and groups manually (e.g. on your
central NetInfo server). If you don't know what all of this is about,
just say yes.
Do you want to continue? [Y/n] n
Okay, not adding the entries.


Setting up gnome-libs-shlibs (1.4.2-19) ...
Setting up gdk-pixbuf-shlibs (0.18.0-12) ...
Setting up gdk-pixbuf (0.18.0-12) ...
Setting up gtk+ (1.2.10-27) ...
* GDK: (gdk). The General Drawing Kit
install-info(/sw/share/info/gdk.info): creating new section `User Interface Toolkit'
* GTK: (gtk). The GIMP Toolkit

Setting up libxml2-shlibs (2.6.17-1) ...

Setting up libxml2-bin (2.6.17-1) ...

Setting up libxslt-shlibs (1.1.11-10) ...

Setting up opensp4-shlibs (1.5.1-2) ...
Setting up openjade (1.3.2-28) ...

Setting up sgml-entities-iso8879 (1986-3) ...
Setting up docbook-dtd (4.4.0-2) ...

Setting up docbook-xsl (1.68.1-1) ...

Setting up docbook-dsssl-nwalsh (1.79-3) ...

Setting up gtk-doc (1.2-13) ...
Setting up gtk-engines (0.12-3) ...
MacOSXComputer:~ kia$ ls
Desktop         Library         Pictures        VKIO
Documents       Movies          PoisonDownloads VKIO1
KIA             Music           Public
MacOSXComputer:~ kia$ cd /
MacOSXComputer:/ kia$ cd usr
MacOSXComputer:/usr kia$ cd share
MacOSXComputer:/usr/share kia$ ls
Ssh.bin         cups            gprof.callg     misc            terminfo
aclocal         curl            gprof.flat      mk              texi2html.init
aclocal-1.6     dict            groff           openldap        texinfo
autoconf        doc             httpd           screen          vim
automake-1.6    emacs           icu             skel            zoneinfo
bison.hairy     enscript        info            snmp            zsh
bison.simple    file            libtool         swat
calendar        gdb             locale          tabset
cracklib        gimp-print      man             tcsh
MacOSXComputer:/usr/share kia$ cd /
MacOSXComputer:/ kia$ cd usr
MacOSXComputer:/usr kia$ cd local
MacOSXComputer:/usr/local kia$ cd share
MacOSXComputer:/usr/local/share kia$ l
-bash: l: command not found
MacOSXComputer:/usr/local/share kia$ ls
aclocal         emacs           gettext         locale          mplayer
doc             examples        lazarus         man
MacOSXComputer:/usr/local/share kia$ cd lazarus
MacOSXComputer:/usr/local/share/lazarus kia$ ./lazarus

Gtk-WARNING **: cannot open display:
MacOSXComputer:/usr/local/share/lazarus kia$

Vincent Snijders

  • Administrator
  • Hero Member
  • *
  • Posts: 2661
    • My Lazarus wiki user page
RE: Re: Basic install problems
« Reply #5 on: April 06, 2006, 11:02:32 pm »
Lazarus needs to be run in X, so you need to start X-Darwin (if I remember correctly how it is called).

Try starting lazarus from a XTerm.

KIA

  • New Member
  • *
  • Posts: 10
Re: RE: Re: Basic install problems
« Reply #6 on: April 07, 2006, 09:03:41 am »
Quote from: "Vincent"
Lazarus needs to be run in X, so you need to start X-Darwin (if I remember correctly how it is called).

Try starting lazarus from a XTerm.

 I also run in muCommander, launch emptu X11 terminal - it is end.
 I run ./StartLazarus - Show Logo Lasarus and end.

Vincent Snijders

  • Administrator
  • Hero Member
  • *
  • Posts: 2661
    • My Lazarus wiki user page
Re: RE: Re: Basic install problems
« Reply #7 on: April 07, 2006, 09:14:02 am »
Quote from: "KIA"
I also run in muCommander, launch emptu X11 terminal - it is end.
 I run ./StartLazarus - Show Logo Lasarus and end.


I assume you mean, that lazarus and/or startlazarus crashes.

Do you get any output in the console?

KIA

  • New Member
  • *
  • Posts: 10
RE: Re: RE: Re: Basic install problems
« Reply #8 on: April 07, 2006, 07:47:32 pm »
X11 display dialog:

The FreePascal Compiler (filename:PPCPPC) was not found
it is recomended that you install fpc

Lazarus IDE STARTING! Wau!!


MacOSXComputer:~ kia$ cd /
MacOSXComputer:/ kia$ cd usr
MacOSXComputer:/usr kia$ cd local
MacOSXComputer:/usr/local kia$ cd lib
MacOSXComputer:/usr/local/lib kia$ ls
charset.alias                   libgettextsrc.la
fpc                             libglib.a
gettext                         libglib.la
glib                            libgmodule.a
libasprintf.0.0.0.dylib         libgmodule.la
libasprintf.0.dylib             libgthread.a
libasprintf.a                   libgthread.la
libasprintf.dylib               libiconv.2.0.4.dylib
libasprintf.la                  libiconv.2.dylib
libgettextlib-0.14.5.dylib      libiconv.dylib
libgettextlib.dylib             libiconv.la
libgettextlib.la                libintl.1.0.1.dylib
libgettextpo.0.1.0.dylib        libintl.1.dylib
libgettextpo.0.dylib            libintl.3.4.3.dylib
libgettextpo.a                  libintl.3.dylib
libgettextpo.dylib              libintl.a
libgettextpo.la                 libintl.dylib
libgettextsrc-0.14.5.dylib      libintl.la
libgettextsrc.dylib             mc
MacOSXComputer:/usr/local/lib kia$ cd fpc
MacOSXComputer:/usr/local/lib/fpc kia$ ls
1.9.5   2.1.1   lexyacc
MacOSXComputer:/usr/local/lib/fpc kia$

Vincent Snijders

  • Administrator
  • Hero Member
  • *
  • Posts: 2661
    • My Lazarus wiki user page
RE: Re: RE: Re: Basic install problems
« Reply #9 on: April 07, 2006, 09:50:10 pm »
One of the snapshots of this week contained a bug, that a symlink was not correctly made.

Code: [Select]

rm /usr/local/bin/ppcppc
ln -s /usr/local/lib/fpc/2.1.1/ppcppc /usr/local/bin/ppcppc

Anonymous

  • Guest
RE: Re: RE: Re: Basic install problems
« Reply #10 on: April 13, 2006, 07:27:22 pm »
Existing entries with these names or numbers will be overwritten or
otherwise affected by this. On the other hand, some Fink packages will
not work unless these entries are in the NetInfo database. You can make
adjustments to the files /sw/etc/passwd-fink and
/sw/etc/group-fink now (from another window), then say yes here. Or
you can say no here and add the users and groups manually (e.g. on your
central NetInfo server). If you don't know what all of this is about,
just say yes.
Do you want to continue? [Y/n] n
Okay, not adding the entries.

It is my error?
I install (reinstall) fink again > say "I installed" :(

KIA

  • New Member
  • *
  • Posts: 10
RE: Re: RE: Re: Basic install problems
« Reply #11 on: April 15, 2006, 01:22:44 pm »
I Create simlink.
Lazarus with start write: "The FreePascal Source Directory was not found. Some code function will not work."
I press "Ignore"

XTerminal writen:
...
TApplication.IconChanged - TODO: convert ths message...no implementation in gtk or win32


...
NOTE: FPC Sorce Directory not set! (see Enviropment Options)
NOTE: Could not create Define Template for Free Pascal Sources
NOTE: help options config file not found - using defaults
NOTE: editor options config file not found - using defaults
NOTE: codetools config file not found - using defailts

KIA

  • New Member
  • *
  • Posts: 10
RE: Re: RE: Re: Basic install problems
« Reply #12 on: April 15, 2006, 03:11:36 pm »
I Download Lazarus 0.9.14-1 and FPCSource 2.0.2
Run Lazarus -> all Ok
Run Empty form -> not found interfaces.pp

MacOSXComputer:~ kia$ find / -name "*interfaces.pp*" -print
/usr/local/share/lazarus/lcl/interfaces/gnome/interfaces.pp
/usr/local/share/lazarus/lcl/interfaces/gtk/interfaces.pp
/usr/local/share/lazarus/lcl/interfaces/qt/interfaces.pp
/usr/local/share/lazarus/lcl/interfaces/win32/interfaces.pp
/usr/local/share/lazarus/lcl/interfaces/wince/interfaces.pp
/usr/local/share/lazarus/lcl/units/powerpc-darwin/carbon/interfaces.ppu
/usr/local/share/lazarus/lcl/units/powerpc-darwin/gtk/interfaces.ppu

Vincent Snijders

  • Administrator
  • Hero Member
  • *
  • Posts: 2661
    • My Lazarus wiki user page
RE: Re: RE: Re: Basic install problems
« Reply #13 on: April 15, 2006, 05:53:45 pm »
If you install lazarus 0.9.14, you need to use fpc 2.0.2, so also fpc-2.0.2-macosx.dmg.

If you have done that, do one of the following:
A. set the compiler path to /usr/local/lib/fpc/2.0.2/ppcppc
B. switch the symlink:
Code: [Select]
rm /usr/local/bin/ppcppc
ln -s /usr/local/lib/fpc/2.0.2/ppcppc /usr/local/bin/ppcppc


See also the FAQ.

KIA

  • New Member
  • *
  • Posts: 10
RE: Re: RE: Re: Basic install problems
« Reply #14 on: April 15, 2006, 09:34:12 pm »
DownLoad FPC 2.0.2 -> All Ok

1. Drop in Form TImage (Stretch: True;Visible: False)
2. Load Picture: file.png (Grayscale)
3 show form -> all ok
4 compile&Run
5 Error reading TImage1.picture.data: Wrong Image format

...
2  Load Picture: 1.jpg (color)
4 compile&run
5 No picture in run form

...
2  Load Picture: /usr/local/share/lazarus/ideintf/oi_box.bmp
3 show form -> no stratch & grayscale
4 switch stratch -> show form picture: color
5 Compile&Run
6  Error reading TImage1.picture.data: TBitMap.ReadStream: invalid size of bitmap stream

 

TinyPortal © 2005-2018